Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate
Class AbstractSchema

    java.lang.Object
      com.thaiopensource.validate.AbstractSchema

All Implemented Interfaces:
  Schema

Direct Known Subclasses:
  CombineSchema

    public abstract class AbstractSchema

extends Object
implements Schema

Constructor Summary
`AbstractSchema()`
`AbstractSchema(PropertyMap properties)`
`AbstractSchema(PropertyMap properties, PropertyId<?>[] supportedPropertyIds)`

Method Summary
`static PropertyMap` | `filterProperties(PropertyMap properties, PropertyId<?>[] supportedPropertyIds)`
`PropertyMap` | `getProperties()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.thaiopensource.validate.Schema
`createValidator`

Constructor Detail

### AbstractSchema

    public AbstractSchema()

### AbstractSchema

    public AbstractSchema(PropertyMap properties)

### AbstractSchema

    public AbstractSchema(PropertyMap properties,
                          PropertyId<?>[] supportedPropertyIds)

Method Detail

### getProperties

    public PropertyMap getProperties()

  Specified by:
    `getProperties` in interface `Schema`

### filterProperties

    public static PropertyMap filterProperties(PropertyMap properties,
                                               PropertyId<?>[] supportedPropertyIds)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD